

function gameinput (sender,obj_id,attachedID)
  MiniInterfaceHandler(sender, obj_id);
  sendersProcessing(sender, obj_id, attachedID);
  if wrongItemWarning(sender, obj_id, attachedID, "shar_15_1") then
    return
  end
  if sender==1 then
    if obj_id == 1 then
      if obj.shar_15_1 and attachedID == obj.shar_15_1.id then
        removeFromMouse()
        UnStoreObj(obj.shar_15_1.id)
        Block_Show_Cur(true)
        setCursor(1,3)
        neighbors.shar.lock = true
        neighbors.stena.lock = false
        SetAlfa(1,0.01,1,1,"frame1")
      else
        CreatePlashechka("671")
      end
    end
  end
end

function frame1()
  SetAlfa(1,1,0,1)
  SetAlfa(2,0,1,1)
  playeffect("ball")
  StartTimer(timerID,2,"CloseSatelite")
  Block_Show_Cur(false)
end